Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
OdeJointCollection Class Reference

## Public Member Functions
| OdeJointCollection (const OdeJointCollection &copy)
void | add_joint (const OdeJoint &joint)
void | add_joints_from (const OdeJointCollection &other)
void | clear ()
OdeJoint | get_joint (int index) const
int | get_num_joints () const
bool | has_joint (const OdeJoint &joint) const
bool | is_empty () const
OdeJointCollection | operator+ (const OdeJointCollection &other) const
| Returns a OdeJointCollection representing the concatenation of the two lists.
void | operator+= (const OdeJointCollection &other)
| Appends the other list onto the end of this one.
void | operator= (const OdeJointCollection &copy)
OdeJoint | operator[] (int index) const
void | remove_duplicate_joints ()
bool | remove_joint (const OdeJoint &joint)
void | remove_joints_from (const OdeJointCollection &other)
int | size () const
| Returns the number of joints in the collection.

## Public Attributes
| get_joint
| get_num_joints

## Detailed Description

Definition at line 22 of file odeJointCollection.h.

## Constructor & Destructor Documentation

## ◆ OdeJointCollection() [1/2]

OdeJointCollection::OdeJointCollection | ( |  | ) |

Definition at line 16 of file odeJointCollection.cxx.

## ◆ OdeJointCollection() [2/2]

OdeJointCollection::OdeJointCollection | ( | const OdeJointCollection & | copy | ) |

Definition at line 20 of file odeJointCollection.cxx.

## ◆ ~OdeJointCollection()

OdeJointCollection::~OdeJointCollection | ( |  | ) |
| inline

Definition at line 17 of file odeJointCollection.I.

## Member Function Documentation

## ◆ add_joint()

void OdeJointCollection::add_joint | ( | const OdeJoint & | joint | ) |

Definition at line 30 of file odeJointCollection.cxx.

## ◆ add_joints_from()

void OdeJointCollection::add_joints_from | ( | const OdeJointCollection & | other | ) |

Definition at line 73 of file odeJointCollection.cxx.

## ◆ clear()

void OdeJointCollection::clear | ( |  | ) |

Definition at line 125 of file odeJointCollection.cxx.

## ◆ has_joint()

bool OdeJointCollection::has_joint | ( | const OdeJoint & | joint | ) | const

Definition at line 115 of file odeJointCollection.cxx.

## ◆ is_empty()

bool OdeJointCollection::is_empty | ( |  | ) | const

Definition at line 130 of file odeJointCollection.cxx.

## ◆ operator+()

OdeJointCollection OdeJointCollection::operator+ | ( | const OdeJointCollection & | other | ) | const
| inline

Returns a OdeJointCollection representing the concatenation of the two lists.

Definition at line 33 of file odeJointCollection.I.

## ◆ operator+=()

void OdeJointCollection::operator+= | ( | const OdeJointCollection & | other | ) |
| inline

Appends the other list onto the end of this one.

Definition at line 24 of file odeJointCollection.I.

## ◆ operator=()

void OdeJointCollection::operator= | ( | const OdeJointCollection & | copy | ) |

Definition at line 25 of file odeJointCollection.cxx.

## ◆ operator[]()

OdeJoint OdeJointCollection::operator[] | ( | int | index | ) | const

Definition at line 146 of file odeJointCollection.cxx.

## ◆ remove_duplicate_joints()

void OdeJointCollection::remove_duplicate_joints | ( |  | ) |

Definition at line 94 of file odeJointCollection.cxx.

## ◆ remove_joint()

bool OdeJointCollection::remove_joint | ( | const OdeJoint & | joint | ) |

Definition at line 45 of file odeJointCollection.cxx.

## ◆ remove_joints_from()

void OdeJointCollection::remove_joints_from | ( | const OdeJointCollection & | other | ) |

Definition at line 81 of file odeJointCollection.cxx.

## ◆ size()

int OdeJointCollection::size | ( |  | ) | const

Returns the number of joints in the collection.

This is the same thing as get_num_joints().

Definition at line 155 of file odeJointCollection.cxx.

## Member Data Documentation

## ◆ get_joint

OdeJoint OdeJointCollection::get_joint

Definition at line 40 of file odeJointCollection.h.

## ◆ get_num_joints

int OdeJointCollection::get_num_joints

Definition at line 40 of file odeJointCollection.h.

The documentation for this class was generated from the following files:

- panda/src/ode/odeJointCollection.h
- panda/src/ode/odeJointCollection.cxx
- panda/src/ode/odeJointCollection.I